Skip to main content
Alerting & Response/Alert Rules

GetAlertEscalationRule

Retrieve the logging escalation rule configuration for an alert rule

GET/api/v1/alerting/rules/{ruleId}/logging-escalation

Operation ID

GetAlertEscalationRule

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • ruleId
    StringRequired

    Alert rule identifier to retrieve escalation config for

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • ruleId
    String

    Alert rule identifier this escalation applies to

    Example: rule-abc123

  • enabled
    Boolean

    Whether this escalation rule is active

    Example: true

  • keywords
    List

    Keyword patterns with associated severity levels

    Example: (nested array)

    • pattern
      String

      Log keyword pattern to match

      Example: OutOfMemory

    • severity
      String

      Severity to assign when pattern matches

      Example: critical

  • windowSeconds
    Integer

    Time window in seconds for log evaluation

    Example: 300

  • minMatchCount
    Integer

    Minimum number of keyword matches to trigger escalation

    Example: 3

  • scheduleId
    String

    Primary on-call schedule identifier

    Example: sched-001

  • escalateScheduleId
    String

    Escalation target schedule identifier

    Example: sched-002

  • escalateAfterMinutes
    Integer

    Minutes before escalation triggers

    Example: 30

  • notifyContext
    Boolean

    Whether to include log context in notifications

    Example: true